Name:           python-cle
Version:        9.2.162
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        CLE Loads Everything (at least, many binary formats!) and provides a pythonic interface to analyze what they are and what they would look like in memory.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-2-Clause
URL:            https://api.angr.io/projects/cle/en/latest/
Source:         %{pypi_source cle}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cle' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cle
Summary:        %{summary}

%description -n python3-cle %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-cle ar,docs,minidump,pcode,pdb,testing,uefi,xbe


%prep
%autosetup -p1 -n cle-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x ar,docs,minidump,pcode,pdb,testing,uefi,xbe


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cle -f %{pyproject_files}


%changelog
%autochangelog